## ros-crystal-rqt-service-caller 1.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rqt_service_caller)

find_package(ament_cmake REQUIRED)
find_package(ament_cmake_python REQUIRED)

ament_python_install_package(${PROJECT_NAME}
  PACKAGE_DIR src/${PROJECT_NAME})

install(FILES plugin.xml
  DESTINATION share/${PROJECT_NAME}
)

install(DIRECTORY resource
  DESTINATION share/${PROJECT_NAME}
)

install(PROGRAMS scripts/rqt_service_caller
  DESTINATION lib/${PROJECT_NAME}
)

ament_package()

=== debian/changelog ===
ros-crystal-rqt-service-caller (1.0.1-0bionic) bionic; urgency=high

  * fix CMake logic (#8 <https://github.com/ros-visualization/rqt_service_caller/issues/8>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 12 Dec 2018 08:00:00 -0000

ros-crystal-rqt-service-caller (1.0.0-0bionic) bionic; urgency=high

  * Set value bug fix (#7 <https://github.com/ros-visualization/rqt_service_caller/issues/7>)
  * Ros2 port (#6 <https://github.com/ros-visualization/rqt_service_caller/issues/6>)
  * autopep8 (#5 <https://github.com/ros-visualization/rqt_service_caller/issues/5>)
  * Save and restore the selected service (#3 <https://github.com/ros-visualization/rqt_service_caller/issues/3>)
    Extended the settings by adding the currently selected service
  * Contributors: Mike Lautman, Philipp

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 11 Dec 2018 08:00:00 -0000

ros-crystal-rqt-service-caller (0.4.8-0bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 24 Apr 2017 07:00:00 -0000

ros-crystal-rqt-service-caller (0.4.7-0bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 02 Mar 2017 08:00:00 -0000

ros-crystal-rqt-service-caller (0.4.6-0bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Feb 2017 08:00:00 -0000

ros-crystal-rqt-service-caller (0.4.5-0bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 03 Feb 2017 08:00:00 -0000

ros-crystal-rqt-service-caller (0.4.4-0bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 24 Jan 2017 08:00:00 -0000

ros-crystal-rqt-service-caller (0.4.3-0bionic) bionic; urgency=high

  * catch all exceptions thrown when loading services classes and only show services that loaded without exception

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 02 Nov 2016 07:00:00 -0000

ros-crystal-rqt-service-caller (0.4.2-0bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 19 Sep 2016 07:00:00 -0000

ros-crystal-rqt-service-caller (0.4.1-0bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 16 May 2016 07:00:00 -0000

ros-crystal-rqt-service-caller (0.4.0-0bionic) bionic; urgency=high

  * Support Qt 5 (in Kinetic and higher) as well as Qt 4 (in Jade and earlier) (#359 <https://github.com/ros-visualization/rqt_common_plugins/pull/359>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 27 Apr 2016 07:00:00 -0000

ros-crystal-rqt-service-caller (0.3.13-0bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 08 Mar 2016 08:00:00 -0000

ros-crystal-rqt-service-caller (0.3.12-0bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 24 Jul 2015 07:00:00 -0000

ros-crystal-rqt-service-caller (0.3.11-0bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 30 Apr 2015 07:00:00 -0000

ros-crystal-rqt-service-caller (0.3.10-0bionic) bionic; urgency=high

  * update plugin scripts to use full name to avoid future naming collisions

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 01 Oct 2014 07:00:00 -0000

ros-crystal-rqt-service-caller (0.3.9-0bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Aug 2014 07:00:00 -0000

ros-crystal-rqt-service-caller (0.3.8-0bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 15 Jul 2014 07:00:00 -0000

ros-crystal-rqt-service-caller (0.3.7-0bionic) bionic; urgency=high

  * export architecture_independent flag in package.xml (#254 <https://github.com/ros-visualization/rqt_common_plugins/issues/254>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 11 Jul 2014 07:00:00 -0000

ros-crystal-rqt-service-caller (0.3.6-0bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 02 Jun 2014 07:00:00 -0000

ros-crystal-rqt-service-caller (0.3.5-0bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 07 May 2014 07:00:00 -0000

ros-crystal-rqt-service-caller (0.3.4-0bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 28 Jan 2014 08:00:00 -0000

ros-crystal-rqt-service-caller (0.3.3-0bionic) bionic; urgency=high

  * add groups for rqt plugins, renamed some plugins (#167 <https://github.com/ros-visualization/rqt_common_plugins/issues/167>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 Jan 2014 08:00:00 -0000

ros-crystal-rqt-service-caller (0.3.2-0bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 14 Oct 2013 07:00:00 -0000

ros-crystal-rqt-service-caller (0.3.1-0bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 09 Oct 2013 07:00:00 -0000

ros-crystal-rqt-service-caller (0.3.0-0bionic) bionic; urgency=high

  * fix rendering of icons on OS X (ros-visualization/rqt#83 <https://github.com/ros-visualization/rqt/issues/83>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 28 Aug 2013 07:00:00 -0000

ros-crystal-rqt-service-caller (0.2.17-0bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 04 Jul 2013 07:00:00 -0000

ros-crystal-rqt-service-caller (0.2.16-0bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 09 Apr 2013 20:33:00 -0000

ros-crystal-rqt-service-caller (0.2.15-0bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 09 Apr 2013 07:02:00 -0000

ros-crystal-rqt-service-caller (0.2.14-0bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 14 Mar 2013 07:00:00 -0000

ros-crystal-rqt-service-caller (0.2.13-0bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 12 Mar 2013 05:14:00 -0000

ros-crystal-rqt-service-caller (0.2.12-0bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 11 Mar 2013 20:56:00 -0000

ros-crystal-rqt-service-caller (0.2.11-0bionic) bionic; urgency=high





=== debian/control ===
Source: ros-crystal-rqt-service-caller
Section: misc
Priority: extra
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-crystal-ament-cmake, ros-crystal-ros-workspace
Homepage: http://wiki.ros.org/rqt_service_caller
Standards-Version: 3.9.2

Package: ros-crystal-rqt-service-caller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-crystal-rqt-gui, ros-crystal-rqt-gui-py, ros-crystal-rqt-py-common, ros-crystal-ros-workspace
Description: rqt_service_caller provides a GUI plugin for calling arbitrary services.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/crystal/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/crystal" \
		-DAMENT_PREFIX_PATH="/opt/ros/crystal"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-crystal-rqt-service-caller//opt/ros/crystal/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_install
